io.vertx.grpc.server

## Interface GrpcServerRequest<Req,Resp>

- All Superinterfaces:
    GrpcReadStream<Req>, ReadStream<Req>, StreamBase

      public interface GrpcServerRequest<Req,Resp>
      extends GrpcReadStream<Req>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HttpConnection` | `connection()`
    `GrpcServerRequest<Req,Resp>` | `endHandler(Handler<Void> endHandler)` Set an end handler.
    `GrpcServerRequest<Req,Resp>` | `errorHandler(Handler<GrpcError> handler)` Set a handler to be notified with gRPC errors.
    `GrpcServerRequest<Req,Resp>` | `exceptionHandler(Handler<Throwable> handler)` Set an exception handler on the read stream.
    `GrpcServerRequest<Req,Resp>` | `fetch(long amount)` Fetch the specified `amount` of elements.
    `String` | `fullMethodName()`
    `GrpcServerRequest<Req,Resp>` | `handler(Handler<Req> handler)` Set a data handler.
    `GrpcServerRequest<Req,Resp>` | `messageHandler(Handler<GrpcMessage> handler)` Set a handler to be notified with incoming encoded messages.
    `String` | `methodName()`
    `GrpcServerRequest<Req,Resp>` | `pause()` Pause the `ReadStream`, it sets the buffer in `fetch` mode and clears the actual demand.
    `GrpcServerResponse<Req,Resp>` | `response()`
    `GrpcServerRequest<Req,Resp>` | `resume()` Resume reading, and sets the buffer in `flowing` mode.
    `ServiceName` | `serviceName()`

    - ### Methods inherited from interface io.vertx.grpc.common.GrpcReadStream

      `collecting, encoding, end, headers, last`

    - ### Methods inherited from interface io.vertx.core.streams.ReadStream

      `pipe, pipeTo, pipeTo`

- - ### Method Detail

    - #### serviceName

          ServiceName serviceName()

      Returns:
        the service name

    - #### methodName

          String methodName()

      Returns:
        the method name

    - #### fullMethodName

          String fullMethodName()

      Returns:
        the full method name sent by the client

    - #### response

          GrpcServerResponse<Req,Resp> response()

      Returns:
        the response

    - #### messageHandler

          GrpcServerRequest<Req,Resp> messageHandler(Handler<GrpcMessage> handler)

      Description copied from interface: `GrpcReadStream`
      Set a handler to be notified with incoming encoded messages. The `handler` is responsible for fully decoding incoming messages, including compression.
      Specified by:
        `messageHandler` in interface `GrpcReadStream<Req>`
      Parameters:
        `handler` - the message handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### errorHandler

          GrpcServerRequest<Req,Resp> errorHandler(Handler<GrpcError> handler)

      Description copied from interface: `GrpcReadStream`
      Set a handler to be notified with gRPC errors.
      Specified by:
        `errorHandler` in interface `GrpcReadStream<Req>`
      Parameters:
        `handler` - the error handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### exceptionHandler

          GrpcServerRequest<Req,Resp> exceptionHandler(Handler<Throwable> handler)

      Description copied from interface: `ReadStream`
      Set an exception handler on the read stream.
      Specified by:
        `exceptionHandler` in interface `GrpcReadStream<Req>`
      Specified by:
        `exceptionHandler` in interface `ReadStream<Req>`
      Specified by:
        `exceptionHandler` in interface `StreamBase`
      Parameters:
        `handler` - the exception handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### handler

          GrpcServerRequest<Req,Resp> handler(Handler<Req> handler)

      Description copied from interface: `ReadStream`
      Set a data handler. As data is read, the handler will be called with the data.
      Specified by:
        `handler` in interface `GrpcReadStream<Req>`
      Specified by:
        `handler` in interface `ReadStream<Req>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### pause

          GrpcServerRequest<Req,Resp> pause()

      Description copied from interface: `ReadStream`
      Pause the `ReadStream`, it sets the buffer in `fetch` mode and clears the actual demand.

      While it's paused, no data will be sent to the data `handler`.

      Specified by:
        `pause` in interface `GrpcReadStream<Req>`
      Specified by:
        `pause` in interface `ReadStream<Req>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### resume

          GrpcServerRequest<Req,Resp> resume()

      Description copied from interface: `ReadStream`
      Resume reading, and sets the buffer in `flowing` mode.

      If the `ReadStream` has been paused, reading will recommence on it.
      Specified by:
        `resume` in interface `GrpcReadStream<Req>`
      Specified by:
        `resume` in interface `ReadStream<Req>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### fetch

          GrpcServerRequest<Req,Resp> fetch(long amount)

      Description copied from interface: `ReadStream`
      Fetch the specified `amount` of elements. If the `ReadStream` has been paused, reading will recommence with the specified `amount` of items, otherwise the specified `amount` will be added to the current stream demand.
      Specified by:
        `fetch` in interface `GrpcReadStream<Req>`
      Specified by:
        `fetch` in interface `ReadStream<Req>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### endHandler

          GrpcServerRequest<Req,Resp> endHandler(Handler<Void> endHandler)

      Description copied from interface: `ReadStream`
      Set an end handler. Once the stream has ended, and there is no more data to be read, this handler will be called.
      Specified by:
        `endHandler` in interface `GrpcReadStream<Req>`
      Specified by:
        `endHandler` in interface `ReadStream<Req>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### connection

          HttpConnection connection()

      Returns:
        the underlying HTTP connection

Copyright © 2024 Eclipse. All rights reserved.